# Py Lists
![Python list comprehension](https://python-3-patterns-idioms-test.readthedocs.io/en/latest/_images/listComprehensions.gif)
# Installation
```sh
npm i pylists
```
# Usage 
> Make Python list сomprehension in JavaScript with JavaScript features!!! <br>
>```
> Structure  => [[math operation (+-/%) or objects (element.value)] for [element] in [list] if [boolean expression]]
>```
> Params: new listComprehension(string, array) or new listComprehension(string)
```sh
const list1 = new listComprehension("[x*2 for x in [1, 2, 3, 4, 5, 6]]");
// list1 = [ 2, 4, 6, 8, 10, 12 ]

const list2 = new listComprehension('[x % 2 for x in myList if x === 2]', [0,1,2,3]);
// list2 = [ 0 ]

const list3 = new listComprehension("[x.c.value.f * 2 for x in [{c: {value: {f: 2}}}, {c: {value: 'ac'}}, {c: {value: 'abc3245'}}] if x.c.value.f === 2]");
// list3 = [ 4 ]

const list4 = new listComprehension("[x for x in ['abc','def','ghi','iasdfbcabc'].map(function(a){return 'abc'+a+'abc';})]");
// list4 = [ 'abcabcabc', 'abcdefabc', 'abcghiabc', 'abciasdfbcabcabc' ]
```
